@media screen and (min-width: 3000px) {
  :root.dark-theme .home {
    background-image: none;
  }
  .home {
    background-image: none;
    height: 85rem;
  }
}

@media screen and (min-width: 1990px) {
  .home {
    background-size: contain;
  }
}

@media screen and (max-width: 1400px) {
  .home {
    background-size: 238rem;
  }
  .home__photo {
    background-position: -21.8rem -1rem;
    background-size: 162%;
  }
  .about__content {
    flex-basis: 50%;
  }
  .about__cover {
    flex-basis: 50%;
  }
  .service {
    padding: 5rem 3rem 4rem;
  }
}
@media screen and (max-width: 1200px) {
  .nav__logo {
    font-size: 6rem;
  }
  .menu {
    gap: 3.5rem;
  }
  .home {
    height: 98rem;
    padding-top: 22rem;
  }
  .home__say-hello {
    font-size: 2.4rem;
  }
  .home__title {
    font-size: 4rem;
  }
  .home__caption {
    font-size: 1.4rem;
  }
  .home__link {
    width: 16.6rem;
    height: 5rem;
  }
  .home__photo {
    width: 37rem;
    height: 37rem;
    background-size: 160%;
    background-position: -14.2rem -0.6rem;
    border-width: 1.7rem;
  }
  .about__img {
    object-position: -15rem;
  }
  .about__content {
    padding-left: 3.3rem;
  }
  .about__description {
    margin-bottom: 5rem;
  }
  .service {
    padding: 6rem 5.4rem;
  }
  .resume-list {
    margin-right: 1rem;
  }
  .contactus__map {
    left: 10%;
  }
}

@media screen and (max-width: 992px) {
  * {
    cursor: default !important;
  }
  .nav__logo {
    font-size: 4rem;
  }
  .menu {
    gap: 2rem;
  }
  .home {
    height: 88rem;
  }
  .home__say-hello {
    font-size: 2rem;
  }
  .home__title {
    font-size: 3.5rem;
  }
  .home__links-wrapper {
    gap: 1.6rem;
  }
  .home__photo {
    width: 32rem;
    height: 32rem;
    background-size: 170%;
    background-position: -13.6rem -0.6rem;
  }
  .about {
    flex-direction: column;
  }
  .about__content,
  .about__cover {
    flex-basis: auto;
  }
  .about__img {
    object-position: 0;
  }
  .about__links-wrapper {
    gap: 1.6rem;
  }
  .services .col-md-6 {
    padding: 0 1rem;
  }
  .service {
    padding: 5rem 3.4rem 4rem;
    margin-bottom: 2rem;
  }
  .resume {
    margin: 10rem 0;
    padding: 3rem 0 7rem;
  }
  .resume-list {
    height: auto;
    margin-bottom: 3rem;
    margin-right: 0;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2rem;
    align-content: flex-start;
    justify-content: flex-start;
    background-color: transparent;
    box-shadow: none;
  }
  .resume-list::before {
    content: none;
  }
  .resume-list__item {
    height: 5rem;
    width: fit-content;
    padding: 0 2rem;
    border-radius: 4rem;
    display: flex;
    align-items: center;
  }
  .resume-list__item::before {
    content: none;
  }
  .resume-list__item--active {
    background-color: var(--primary-color);
  }
  .resume-list__icon {
    display: none;
  }
  .pricing {
    padding-bottom: 12rem;
  }
  .package {
    margin-bottom: 3rem;
  }
  .contactus__map {
    display: none;
  }
  .contact {
    margin-right: auto;
  }
}

@media screen and (max-width: 768px) {
  .nav__logo {
    font-size: 5.5rem;
  }
  .menu {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    top: 99%;
    left: 0;
    right: 0;
    height: 0;
    overflow: hidden;
    transition: all 200ms ease-in;
    background-color: var(--app-bg-color);
  }
  .menu--open {
    height: 29.5rem;
  }
  .menu__item:first-child {
    margin-top: 2rem;
  }
  .menu__item:last-child {
    margin-bottom: 2rem;
  }
  .nav__toggle-icon {
    display: flex;
  }
  .cover {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.05);
    z-index: -1;
    opacity: 0;
    transition: all 200ms ease-in;
  }
  .cover--show {
    opacity: 1;
    z-index: 99;
  }
  .home {
    height: 108rem;
    padding-top: 19rem;
    text-align: center;
  }
  .home__photo {
    margin: 0 auto;
    border-width: 1.3rem;
  }
  .home__content {
    padding-top: 3rem;
  }
  .home__links-wrapper {
    justify-content: center;
    margin-top: 2.5rem;
  }
  .service {
    padding: 6rem 7.4rem;
  }
  .service__wave {
    bottom: -8rem;
  }
  .resume-list {
    gap: 1rem;
  }
  .portfolio-list {
    gap: 1rem;
  }
  .package {
    margin-bottom: 0;
  }
  .pricing .col-12 {
    padding: 0 1rem 2rem !important;
  }
  .footer__wrapper {
    flex-wrap: wrap;
    gap: 2rem;
  }
}

@media screen and (max-width: 576px) {
  :root.dark-theme .home {
    background: none;
  }
  .nav {
    height: 12rem;
  }
  .home {
    height: fit-content;
    padding-top: 17rem;
    background: none;
  }
  .about__cover {
    overflow: hidden;
  }
  .about__img {
    height: 41rem;
    transform: scale3d(1.2, 1.2, 1) translate3d(-2.5rem, 2.6rem, 0);
    object-position: -4rem;
  }
  .about__content {
    padding: 3rem 2rem;
  }
  .about__description {
    margin-bottom: 3rem;
  }
  .about__links-wrapper {
    flex-wrap: wrap;
  }
  .about__link {
    flex-basis: 100%;
  }
  .service {
    padding: 5rem 2rem;
    margin-bottom: 2rem;
  }
  .service__caption {
    max-width: 35rem;
    margin: 0 auto;
  }
  .service__wave {
    bottom: -7rem;
  }
  .resume-list {
    margin-bottom: 0;
  }
  .resume-content {
    border-left: none;
    padding-left: 0;
  }
  .resume-content__title::before {
    content: none;
  }
  .portfolio-list {
    justify-content: flex-start;
  }
  .pricing .col-12 {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }
  .footer__copy-right {
    font-size: 1.6rem;
  }
}

@media screen and (max-width: 460px) {
  .secton-head {
    margin: 7rem 0 4rem;
  }
  .home__title {
    font-size: 3.4rem;
  }
  .service__wave {
    bottom: -2rem;
  }
  .resume {
    margin-top: 8rem;
    margin-bottom: 0;
  }
  .portfolio {
    margin-top: 0;
  }
  .pricing {
    margin-top: 8rem;
    padding-top: 1rem;
    padding-bottom: 8rem;
  }
  .contactus {
    margin-top: 8rem;
  }
  .resume-list {
    gap: 1rem;
  }
  .resume-list__title {
    font-size: 1.8rem;
  }
  .contact {
    height: auto;
    padding: 3rem 2rem 4rem;
  }
  .contact__input {
    padding: 1.6rem 1.5rem;
  }
  .footer__socials {
    flex-wrap: wrap;
  }
}

@media screen and (max-width: 350px) {
  .home__content {
    padding-top: 2.5rem;
  }
  .home__say-hello {
    font-size: 1.8rem;
  }
  .home__title {
    font-size: 2.7rem;
  }
  .home__caption {
    font-size: 1.2rem;
  }
  .home__links-wrapper {
    flex-wrap: wrap;
  }
  .home__link {
    flex-basis: 100%;
  }
  .home__photo {
    width: 25rem;
    height: 25rem;
    background-size: 193%;
  }
  .about__title {
    font-size: 2rem;
  }
  .about__description {
    font-size: 1.2rem;
    line-height: 1.6;
    text-align: inherit;
  }
  .about-list {
    padding-left: 0;
  }
  .about__list-title {
    font-size: 1.7rem;
  }
  .about-list__item {
    font-size: 1.2rem;
    padding-left: 2.3rem;
  }
  .about__img {
    transform: none;
    object-position: -11rem;
  }
  .about__link {
    flex-basis: 100%;
    height: 5rem;
  }
  .section-head__caption {
    letter-spacing: 0.3rem;
  }
  .service {
    padding: 3rem 1.5rem;
    margin-bottom: 1.5rem;
  }
  .service__title {
    font-size: 2rem;
  }
  .service__caption {
    font-size: 1.2rem;
  }
  .service__wave {
    bottom: -3rem;
  }
  .resume-content__head {
    flex-direction: column;
  }
  .resume-content__subtitle {
    margin-bottom: 0.5rem;
  }
  .resume-content__item {
    padding-top: 2rem;
  }
  .contact__title {
    font-size: 2.9rem;
  }
  .footer__copy-right {
    letter-spacing: 0.1rem;
  }
  .footer__socials {
    flex-wrap: wrap;
  }
}
